GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions
grpc::ServerReaderWriter< R, W > Class Template Reference

`#include <completion_queue.h>`

## Public Member Functions
| ServerReaderWriter (Call *call, ServerContext *ctx)
void | SendInitialMetadata ()
bool | Read (R *msg) GRPC_OVERRIDE
bool | Write (const W &msg, const WriteOptions &options) GRPC_OVERRIDE
Public Member Functions inherited from grpc::WriterInterface< W >
virtual | ~WriterInterface ()
bool | Write (const W &msg)
Public Member Functions inherited from grpc::ReaderInterface< R >
virtual | ~ReaderInterface ()

## Constructor & Destructor Documentation

template<class R, class W>

grpc::ServerReaderWriter< R, W >::ServerReaderWriter | ( | Call * | call,
|  | ServerContext * | ctx
| ) |  |
| inline

## Member Function Documentation

template<class R, class W>

bool grpc::ServerReaderWriter< R, W >::Read | ( | R * | msg | ) |
| inline virtual

Implements grpc::ReaderInterface< R >.

template<class R, class W>

void grpc::ServerReaderWriter< R, W >::SendInitialMetadata | ( |  | ) |
| inline

template<class R, class W>

bool grpc::ServerReaderWriter< R, W >::Write | ( | const W & | msg,
|  | const WriteOptions & | options
| ) |  |
| inline virtual

Implements grpc::WriterInterface< W >.

The documentation for this class was generated from the following files:

- include/grpc++/completion_queue.h
- include/grpc++/stream.h